package cn.yyxx.commsdk.impl;

import android.content.Context;

import cn.yyxx.commsdk.base.internal.feature.IFeature;
import cn.yyxx.commsdk.impl.channel.ChannelSdkYYXX;
import cn.yyxx.commsdk.impl.entity.ChannelId;

/**
 * @author #Suyghur.
 * Created on 2021/12/26
 */
public class ChannelSdkGenerator {

    public static IFeature getChannelInstance(Context context, int channelId) {
        IFeature instance = null;
        switch (channelId) {
            case ChannelId.YYXX:
                instance = new ChannelSdkYYXX();
                break;
        }

        return instance;
    }
}
